Bug 247955 - Multi-transaction
Summary: Multi-transaction
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-12 08:57 UTC by Jakub 'Livio' Rusinek
Modified: 2014-01-21 22:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-12 13:48:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jakub 'Livio' Rusinek 2007-07-12 08:57:44 UTC
Description of problem:

I'm thinking about multi-transaction package manager.
It would require rebuilding whole RPM to make another way to write the database,
but it could make life better.

It would be innovation in packaging.

How reproducible:

Install packages, when some other app is using RPMDB.
  
Actual results:

Database access is owned.

Expected results:

Multi-transaction.

Comment 1 James Antill 2007-07-12 13:48:29 UTC
 This is a feature request?
 What do you mean by multi-transaction?

 It sounds like you want to be able to do "yum install foo" and "yum install
bar" at the same time?


Comment 2 Jakub 'Livio' Rusinek 2007-07-12 20:33:45 UTC
Yes, exactly.

Comment 3 Panu Matilainen 2007-07-13 10:35:32 UTC
Actually rpm used to permit multiple simultaneous installations, but these days
there's a global transaction lock to prevent that. Things get *really* hairy wrt
race conditions etc when you start thinking about all the interactions with
triggers and such in a truly concurrent access scenarios.

What's the problem you're trying to actually solve by permitting concurrent
transactions?


Note You need to log in before you can comment on or make changes to this bug.